%global rosdistro fuerte
%global stackname genpy
%global gitrev eddf66e

Name:           ros-%{rosdistro}-%{stackname}
Version:        0.3.7
Release:        1.git%{gitrev}%{?dist}
Summary:        ROS Python Message Generation

License:        BSD
URL:            http://ros.org/
#wget --content-disposition https://github.com/ros/genpy/tarball/0.3.7
Source0:        ros-%{stackname}-%{version}-0-g%{gitrev}.tar.gz
BuildArch:      noarch
Provides:       ros-%{stackname} = %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  python-setuptools-devel
BuildRequires:  ros-%{rosdistro}-catkin-devel
BuildRequires:  ros-%{rosdistro}-genmsg-devel

%description
%{name} generates python message definitions from msg files

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
Provides: ros-%{stackname}-devel = %{version}-%{release}

%description devel
%{summary}.

%prep
%setup -q -n ros-%{stackname}-%{gitrev}

%build
source /opt/ros/%{rosdistro}/setup.sh
mkdir build
pushd build
%cmake -DCMAKE_INSTALL_PREFIX=/opt/ros/fuerte -DSETUPTOOLS_DEB_LAYOUT=OFF ..
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT

%files
%doc
%exclude /opt/ros/%{rosdistro}/share/*/cmake/
/opt/ros/%{rosdistro}/bin/*
/opt/ros/%{rosdistro}/etc/langs/*
/opt/ros/%{rosdistro}/share/%{stackname}
/opt/ros/%{rosdistro}/lib/python?.?/site-packages/%{stackname}
/opt/ros/%{rosdistro}/lib/python?.?/site-packages/*egg-info

%files devel
/opt/ros/%{rosdistro}/lib/pkgconfig/*.pc
/opt/ros/%{rosdistro}/share/%{stackname}/cmake

%changelog
* Sun Sep 13 2013 Rich Mattes <richmattes@gmail.com> - 0.3.7-1.giteddf66e
- Initial fuerte package

